=== modified file 'NEWS.txt'
--- NEWS.txt	2006-09-11 18:58:22 +0000
+++ NEWS.txt	2006-09-17 14:32:05 +0000
@@ -6,6 +6,8 @@
  - Fixed bug #53963: Close button in About box.
  - Drive selection is now available under Win32 platforms. That means new
    dependency (pyWin32)
+ - If the TreeView in the Status window would be empty, display a "No changes."
+   message.
 
 Olive 0.10.0 (2006-09-04)
 

=== modified file 'TODO.txt'
--- TODO.txt	2006-09-04 22:23:11 +0000
+++ TODO.txt	2006-09-17 14:32:05 +0000
@@ -20,4 +20,4 @@
 [DONE] i18n/l10n with gettext (phanatic)
 [DONE] Bookmarks should have a 'title' attribute (phanatic)
 [PART-DONE] Open files on double-click, and add Open option to context menu (Aaadam)
- - Display a "No changes." text in the Status window, if tree is empty (Áron Novák)
+[DONE] Display a "No changes." text in the Status window, if tree is empty (Áron Novák)

=== modified file 'olive/frontend/gtk/status.py'
--- olive/frontend/gtk/status.py	2006-08-20 13:02:35 +0000
+++ olive/frontend/gtk/status.py	2006-09-17 14:32:05 +0000
@@ -103,34 +103,44 @@
         else:
             delta = self.wt.changes_from(self.old_tree)
 
+        changes = False
+        
         if len(delta.added):
+            changes = True
             titer = self.model.append(None, [ _('Added'), None ])
             for path, id, kind in delta.added:
                 self.model.append(titer, [ path, path ])
 
         if len(delta.removed):
+            changes = True
             titer = self.model.append(None, [ _('Removed'), None ])
             for path, id, kind in delta.removed:
                 self.model.append(titer, [ path, path ])
 
         if len(delta.renamed):
+            changes = True
             titer = self.model.append(None, [ _('Renamed'), None ])
             for oldpath, newpath, id, kind, text_modified, meta_modified \
                     in delta.renamed:
                 self.model.append(titer, [ oldpath, newpath ])
 
         if len(delta.modified):
+            changes = True
             titer = self.model.append(None, [ _('Modified'), None ])
             for path, id, kind, text_modified, meta_modified in delta.modified:
                 self.model.append(titer, [ path, path ])
         
         done_unknown = False
         for path in self.wt.unknowns():
+            changes = True
             if not done_unknown:
                 titer = self.model.append(None, [ _('Unknown'), None ])
                 done_unknown = True
             self.model.append(titer, [ path, path ])
 
+        if not changes:
+            self.model.append(None, [ _('No changes.'), None ])
+
         self.treeview.expand_all()
     
     def display(self):

